Gorgias integration: operations for AI agents
Gorgias connects to Type.com as an integration. This page lists the 114 operations documented for Claude and Codex in Type.com: 50 read, 18 write, 46 destructive.
About Gorgias
Gorgias is a helpdesk and live chat platform specializing in e-commerce, offering automated support, order management, and unified customer communication
Categories: Customer Support
How to connect Gorgias to Type.com
- Connect
- Managed OAuth through Pipedream when enabled for your workspace
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
114 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
114 operations listed.
Macros
- Read
Retrieve a macro
GET /api/macros/{id}
GET /api/macros/{id} - Read
List macros
GET /api/macros
GET /api/macros - Write
Create a macro
POST /api/macros
POST /api/macros - Destructive
Archive macros
PUT /api/macros/archive
PUT /api/macros/archive - Destructive
Unarchive macros
PUT /api/macros/unarchive
PUT /api/macros/unarchive - Destructive
Delete a macro
DELETE /api/macros/{id}
DELETE /api/macros/{id} - Destructive
Update a macro
PUT /api/macros/{id}
PUT /api/macros/{id}
Jobs
- Read
Retrieve a job
GET /api/jobs/{id}
GET /api/jobs/{id} - Read
List jobs
List jobs, paginated and ordered by their creation date, with the most recent ones first.
GET /api/jobs - Write
Create a job
Create a job and schedule its execution. Jobs are processed asynchronously, meaning that once a job is created, it will run in background on Gorgias's servers. According to the type and size of the task, a job can take a few minutes or several hours to be executed.
POST /api/jobs - Destructive
Cancel a job
Jobs can be canceled at any time but be aware that if a job already started, changes done by this one won't be reverted. For example, if you created a job to close 10k tickets and you cancel it at some point, these closed tickets won't be reopened.
DELETE /api/jobs/{id} - Destructive
Update a job
PUT /api/jobs/{id}
PUT /api/jobs/{id}
Account
- Read
Retrieve your account
GET /api/account
GET /api/account - Read
List settings
List account settings matching the given parameters, paginated.
GET /api/account/settings - Write
Create a setting
Create a setting for the current account.
POST /api/account/settings - Destructive
Update a setting
Update a setting for the current account.
PUT /api/account/settings/{id}
Custom Fields
- Read
Retrieve a custom field
GET /api/custom-fields/{id}
GET /api/custom-fields/{id} - Read
List custom fields
List custom fields matching the given parameters, paginated, and ordered.
GET /api/custom-fields - Write
Create a custom field
POST /api/custom-fields
POST /api/custom-fields - Destructive
Update a custom field
PUT /api/custom-fields/{id}
PUT /api/custom-fields/{id} - Destructive
Bulk update a list of custom fields
PUT /api/custom-fields
PUT /api/custom-fields
Customers
- Read
Retrieve a customer
GET /api/customers/{id}
GET /api/customers/{id} - Read
List customer field values
List all custom fields for a customer.
GET /api/customers/{customer_id}/custom-fields - Read
List customers
List customers, paginated, and ordered by their name (alphabetical order).
GET /api/customers - Write
Create a customer
POST /api/customers
POST /api/customers - Destructive
Delete a customer
DELETE /api/customers/{id}
DELETE /api/customers/{id} - Destructive
Delete customer field value
Delete a customer's custom field value.
DELETE /api/customers/{customer_id}/custom-fields/{id} - Destructive
Delete customers
DELETE /api/customers
DELETE /api/customers - Destructive
Merge two customers
Merge two customers according to the data sent in the payload. The data of the source customer will be merged into the target customer and then deleted. In case both customers have data for the same integration a conflict will occur with the API returning an error.
PUT /api/customers/merge - Destructive
Update a customer
PUT /api/customers/{id}
PUT /api/customers/{id} - Destructive
Update customer field value
Update a customer's custom field value.
PUT /api/customers/{customer_id}/custom-fields/{id} - Destructive
Update customer fields values
Update a customer's custom fields values.
PUT /api/customers/{customer_id}/custom-fields - Destructive
Set customer data
Set a customer's data.
PUT /api/customers/{customer_id}/data
Integrations
- Read
Retrieve an integration
GET /api/integrations/{id}
GET /api/integrations/{id} - Read
List integrations
List integrations matching the given parameters, paginated.
GET /api/integrations - Write
Create an integration
POST /api/integrations
POST /api/integrations - Destructive
Delete an integration
Delete an integration. Any views that use this integration will be deactivated. Integrations currently used in rules and/or other integrations cannot be deleted.
DELETE /api/integrations/{id} - Destructive
Update an integration
PUT /api/integrations/{id}
PUT /api/integrations/{id}
Metric Cards
- Read
Retrieve a metric card by slug
GET /api/metric-cards/{slug}
GET /api/metric-cards/{slug} - Read
Search metric cards
GET /api/metric-cards
GET /api/metric-cards - Write
Submit feedback on a metric card definition
POST /api/metric-cards/{slug}/feedback
POST /api/metric-cards/{slug}/feedback
Rules
- Read
Retrieve a rule
GET /api/rules/{id}
GET /api/rules/{id} - Read
List rules
List rules, paginated.
GET /api/rules - Write
Create a rule
POST /api/rules
POST /api/rules - Write
Update rules' priorities
POST /api/rules/priorities
POST /api/rules/priorities - Destructive
Delete a rule
DELETE /api/rules/{id}
DELETE /api/rules/{id} - Destructive
Update a rule
PUT /api/rules/{id}
PUT /api/rules/{id}
Satisfaction Surveys
- Read
Retrieve a survey
Retrieve a survey
GET /api/satisfaction-surveys/{id} - Read
List surveys
List surveys, paginated and ordered by their creation date, with the most recently created first.
GET /api/satisfaction-surveys - Write
Create a survey
Create a new satisfaction survey. If you don't want the satisfaction survey to be sent by Gorgias set shouldsenddatetime parameter to null.
POST /api/satisfaction-surveys - Destructive
Update a survey
PUT /api/satisfaction-surveys/{id}
PUT /api/satisfaction-surveys/{id}
Tags
- Read
Retrieve a tag
GET /api/tags/{id}
GET /api/tags/{id} - Read
List tags
List tags matching the given parameters, paginated, and ordered.
GET /api/tags - Write
Create a tag
POST /api/tags
POST /api/tags - Destructive
Delete a tag
Delete a tag. Any views that use this tag will be deactivated. Tags currently used in macros and/or rules cannot be deleted.
DELETE /api/tags/{id} - Destructive
Delete tags
Delete a list of tags. Any views that use this tag will be deactivated. Tags currently used in macros and/or rules cannot be deleted.
DELETE /api/tags - Destructive
Merge tags
Merge one or more tags into another tag. Source tags will be merged into the destination tag and then deleted.
PUT /api/tags/{destination_tag_id}/merge - Destructive
Update a tag
PUT /api/tags/{id}
PUT /api/tags/{id}
Teams
- Read
Retrieve a team
GET /api/teams/{id}
GET /api/teams/{id} - Read
List teams
List teams matching the given parameters, paginated, and ordered.
GET /api/teams - Write
Create a team
POST /api/teams
POST /api/teams - Destructive
Delete a team
DELETE /api/teams/{id}
DELETE /api/teams/{id} - Destructive
Update a team
PUT /api/teams/{id}
PUT /api/teams/{id}
Tickets
- Read
Retrieve a ticket
GET /api/tickets/{id}
GET /api/tickets/{id} - Read
List ticket field values
List all custom fields for a ticket.
GET /api/tickets/{ticket_id}/custom-fields - Read
List ticket tags
List all tags for a ticket.
GET /api/tickets/{ticket_id}/tags - Read
List tickets
List tickets, paginated and ordered by the attribute of the given view.
GET /api/tickets - Write
Create a ticket
POST /api/tickets
POST /api/tickets - Write
Add ticket tags
Add tags to a ticket.
POST /api/tickets/{ticket_id}/tags - Destructive
Delete a ticket
DELETE /api/tickets/{id}
DELETE /api/tickets/{id} - Destructive
Delete ticket field value
Delete a custom field value from a ticket. System-managed fields (e.g. AI Agent Outcome, AI Intent) can only be deleted by Gorgias internal apps.
DELETE /api/tickets/{ticket_id}/custom-fields/{id} - Destructive
Remove ticket tags
Remove tags from a ticket.
DELETE /api/tickets/{ticket_id}/tags - Destructive
Update a ticket
PUT /api/tickets/{id}
PUT /api/tickets/{id} - Destructive
Update ticket field value
Update a ticket's custom field value.
PUT /api/tickets/{ticket_id}/custom-fields/{id} - Destructive
Update ticket fields values
Replace the custom field values for a ticket. Important — replace-all semantics: The request body must contain all custom field values you want the ticket to have. Any field that currently has a value on the ticket but is not included in the request body will be deleted.
PUT /api/tickets/{ticket_id}/custom-fields - Destructive
Set ticket tags
Set a ticket's tags.
PUT /api/tickets/{ticket_id}/tags
Ticket Messages
- Read
Retrieve a message
GET /api/tickets/{ticket_id}/messages/{id}
GET /api/tickets/{ticket_id}/messages/{id} - Read
List messages
List messages matching the given parameters, paginated.
GET /api/messages - Read
List messages of a ticket (deprecated)
List all messages of a ticket, ordered by their sending date, with the oldest messages first. This endpoint has been deprecated. Use [list messages](/reference/list-messages) endpoint instead.
GET /api/tickets/{ticket_id}/messages - Destructive
Create a message
Create a message and either: - not send it if the attribute sentdatetime is filled. If you import a message that was already sent, make sure to set this value. - send it to the recipients if the attribute sentdatetime is empty.
POST /api/tickets/{ticket_id}/messages - Destructive
Delete a message
DELETE /api/tickets/{ticket_id}/messages/{id}
DELETE /api/tickets/{ticket_id}/messages/{id} - Destructive
Update a message
PUT /api/tickets/{ticket_id}/messages/{id}
PUT /api/tickets/{ticket_id}/messages/{id}
Users
- Read
Retrieve a user
GET /api/users/{id}
GET /api/users/{id} - Read
List users
List users, paginated and ordered by their name (alphabetical order).
GET /api/users - Write
Create a user
POST /api/users
POST /api/users - Destructive
Delete a user
DELETE /api/users/{id}
DELETE /api/users/{id} - Destructive
Update a user
PUT /api/users/{id}
PUT /api/users/{id}
Views
- Read
Retrieve a view
GET /api/views/{id}
GET /api/views/{id} - Read
List view's items
List view's items, paginated, and ordered by the attribute specified in the data of view.
GET /api/views/{view_id}/items - Read
List views
List all views ordered by their id attribute. Current user variables ({{currentuser...}}) present in views' filters will be replaced with the information of the user listing views.
GET /api/views - Write
Create a view
POST /api/views
POST /api/views - Destructive
Delete a view
DELETE /api/views/{id}
DELETE /api/views/{id} - Destructive
Update a view
PUT /api/views/{id}
PUT /api/views/{id} - Destructive
Search for view's items
List view's items, paginated, and ordered by the attribute specified in the data of view.
PUT /api/views/{view_id}/items
Widgets
- Read
Retrieve a widget
GET /api/widgets/{id}
GET /api/widgets/{id} - Read
List widgets
List all widgets for the account, ordered.
GET /api/widgets - Write
Create a widget
POST /api/widgets
POST /api/widgets - Destructive
Delete a widget
DELETE /api/widgets/{id}
DELETE /api/widgets/{id} - Destructive
Update a widget
PUT /api/widgets/{id}
PUT /api/widgets/{id}
Voice Call Recordings
- Read
Retrieve a voice call recording
GET /api/phone/voice-call-recordings/{id}
GET /api/phone/voice-call-recordings/{id} - Read
List voice call recordings
List voice call recordings matching the given parameters, paginated, and ordered.
GET /api/phone/voice-call-recordings - Destructive
Delete a voice call recording
DELETE /api/phone/voice-call-recordings/{id}
DELETE /api/phone/voice-call-recordings/{id}
Files
- Read
Download a file
Download a private file given its resource identifier. The identifier can be extracted from the URL of an attachment by removing the domain part and keeping the rest.
GET /api/{file_type}/download/{domain_hash}/{resource_name} - Write
Upload files
You can upload several files at a time by adding parameters to the root of the request body. The name of each parameter will be used as the label of the file once uploaded. E.g: - parameter name: package-damaged.png - parameter value: Content of the file.
POST /api/upload
Statistics
- Read
Download a statistic
Download CSV-formatted data of a statistic.
POST /api/stats/{name}/download - Read
Retrieve a statistic
POST /api/stats/{name}
POST /api/stats/{name}
Events
- Read
Retrieve an event
GET /api/events/{id}
GET /api/events/{id} - Read
List events
List events, paginated, and ordered by their creation date, with the most recently created first.
GET /api/events
Reporting Statistics
- Read
Retrieve a statistic
POST /api/reporting/stats
POST /api/reporting/stats
Voice Calls
- Read
Retrieve a voice call
GET /api/phone/voice-calls/{id}
GET /api/phone/voice-calls/{id} - Read
List voice calls
List voice calls matching the given parameters, paginated, and ordered.
GET /api/phone/voice-calls
Voice Call Events
- Read
Retrieve a voice call event
GET /api/phone/voice-call-events/{id}
GET /api/phone/voice-call-events/{id} - Read
List voice call events
List voice call events matching the given parameters, paginated, and ordered.
GET /api/phone/voice-call-events
Search
- Read
Search for resources
POST /api/search
POST /api/search
No operations match.
Get started
- Open Space settings → Connections and search for Gorgias.
- Connect your account and add the connection to the Space.
- Ask for what you need in any thread in that Space.
See How connections work for access and permissions, or browse all integrations.